This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.22. __nv_ceilf

Prototype:

    float @__nv_ceilf(float %x)

Description:

Compute the smallest integer value not less than `x`.

Returns:

Returns ⌈ x ⌉ expressed as a floating-point number.

- __nv_ceilf( ± 0 ) returns ± 0 .

- __nv_ceilf( ± ∞ ) returns ± ∞ .

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes